@ECHO OFF

SETLOCAL

set WL_HOME=d:\dev\bea\weblogic81
set JAVA_VENDOR=Sun
set PRODUCTION_MODE=true
set JAVA_HOME=d:\dev\j2sdk1.4.2_13

@REM Call commEnv here AFTER setting the java_vendor to get common environmental settings.
call "%WL_HOME%\common\bin\commEnv.cmd"

@REM Default values
set DOMAIN_NAME=ESRDomain
set MEM_ARGS=-Xms256m -Xmx512m
set JAVA_VM=-server
set SERVER_NAME=ESRAdminServer
set ADMIN_URL="t3://localhost:7001"
set CLASSPATH=%WEBLOGIC_CLASSPATH%;%POINTBASE_CLASSPATH%;%JAVA_HOME%\jre\lib\rt.jar;%WL_HOME%\server\lib\webservices.jar;%CLASSPATH%

set EDEV="jdbc:oracle:thin:@isaux02.vha.med.DNS   :1521:ADRDEV01"
set ADRX="jdbc:oracle:thin:@(DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=edbclu02.aac.DNS   )(PORT     )))(CONNECT_DATA=(SERVICE_NAME=ADRX.AAC.DNS   )))"

set URL_VALUE=%EDEV%

if "%1"=="ADRX" (
	set URL_VALUE=%ADRX%
	shift
) 

%JAVA_HOME%\bin\java %JAVA_VM% %MEM_ARGS% %JAVA_OPTIONS% weblogic.Admin -url %ADMIN_URL% -username weblogic -password weblogic SET -mBean "%DOMAIN_NAME%:Name=ESRJdbcPool,Type=JDBCConnectionPool" -property "URL" %URL_VALUE%

ENDLOCAL